const std  = @import("std");
const dvui = @import("dvui");

pub fn gui(ctx: anytype) !void {
    _ = ctx;

    var root = try dvui.menu(@src(), .horizontal, .{ .background = true, .expand = .horizontal });
    defer root.deinit();

    if (try dvui.menuItemLabel(@src(), "Workspace", .{ .submenu = true }, .{})) |r| {
        var float = try dvui.floatingMenu(
            @src(), .{.from = dvui.Rect.fromPoint(dvui.Point{ .x = r.x, .y = r.y + r.h })}, .{});
        defer float.deinit();

        if (try dvui.menuItemLabel(@src(), "New", .{}, .{})) |_| {
        }
        if (try dvui.menuItemLabel(@src(), "Open", .{}, .{})) |_| {
        }

        try dvui.separator(@src(), .{});

        if (try dvui.menuItemLabel(@src(), "Save", .{}, .{})) |_| {
        }
        if (try dvui.menuItemLabel(@src(), "Save as", .{}, .{})) |_| {
        }
    }

    if (try dvui.menuItemLabel(@src(), "Task", .{ .submenu = true }, .{})) |r| {
        var float = try dvui.floatingMenu(
            @src(), .{.from = dvui.Rect.fromPoint(dvui.Point{ .x = r.x, .y = r.y + r.h })}, .{});
        defer float.deinit();

        if (try dvui.menuItemLabel(@src(), "New", .{}, .{})) |_| {
        }
    }
}
